# Uses of Class
org.eclipse.ui.console.TextConsole

Packages that use TextConsole
Package
Description
org.eclipse.ui.console
Application programming interfaces for interaction with the Eclipse console.
org.eclipse.ui.console.actions
Application programming interfaces for Eclipse console specific actions.

## Uses of TextConsole in org.eclipse.ui.console

Subclasses of TextConsole in org.eclipse.ui.console
Modifier and Type
Class
Description
`class`
`IOConsole`
A console that displays text from I/O streams.
`class`
`MessageConsole`
A console that displays messages.
Methods in org.eclipse.ui.console with parameters of type TextConsole
Modifier and Type
Method
Description
`void`
IPatternMatchListenerDelegate.`connect(TextConsole console)`
Notification that pattern matching will begin in the specified console.
Constructors in org.eclipse.ui.console with parameters of type TextConsole
Modifier
Constructor
Description
``
`PatternMatchEvent(TextConsole console, int matchOffset, int matchLength)`
Constructs a new pattern match event.
``
`TextConsolePage(TextConsole console, IConsoleView view)`
Constructs a text console page for the given console in the given view.
``
`TextConsoleViewer(Composite parent, TextConsole console)`
Constructs a new viewer in the given parent for the specified console.
``
`TextConsoleViewer(Composite parent, TextConsole console, IScrollLockStateProvider scrollLockStateProvider)`
Constructs a new viewer in the given parent for the specified console.

## Uses of TextConsole in org.eclipse.ui.console.actions

Constructors in org.eclipse.ui.console.actions with parameters of type TextConsole
Modifier
Constructor
Description
``
`ClearOutputAction(TextConsole ioConsole)`
Constructs a clear output action for an I/O console.